Issue 34425

Summary: Spellchecker always jumps back to cursor position where it was started
Product: Writer Reporter: snoopy_78 <snoopy>
Component: editingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, thomas.lendo
Version: OOo 1.1.2   
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description snoopy_78 2004-09-21 09:26:45 UTC
After spellcheck OOo jumps to the last cursorposition, not to the last edited
word. I think, it should be possible to break where the spellchecker is and OOo
position the cursor at the last checked word.

Reason: I check the spelling and make an error (say anything is correct, but
isn't), but if I wonna fix it, I have to search the Position. If the
spellchecker would stop at the checked word, I could fix the error. 

Other reason: If I see, anything needs bigger correction, I could stop and make
this and start it again, but if the cursor was before on a other position, I
need to search the position (not easy with a big document).

I think, a breakbutton could be a good idea, or that the spellchecker sets the
cursor automatikly to the last checked word.

Hope, somewhere has undersdood me ;-) 

Greetings, Markus from Switzerland
Comment 1 michael.ruess 2004-09-21 09:54:40 UTC
MRU->SBA: pls evaluate
Comment 2 stefan.baltzer 2004-12-15 12:22:00 UTC
SBA: Confirmed. My ideas:
(1) Introducing a "break" button in the spellcheck dialog.
(2) Yet-another-option for the spellchecker:  "Place the cursor where the
spellchecker was closed".
(3) Change behavior (No UI change): When the user clicks "Undo" and "Close",
only THEN the cursor goes to the last position where a change took place.
(4) Change behavior (No UI change): When the user clicks beside the Spellcheck
dialog and then closes it, the cursor stays there (currently it is jumping back
to where spellcheck was started).
Reassigned to requirements

Comment 3 stefan.baltzer 2004-12-15 12:26:00 UTC
SBA: As written above, there can be different solutions, so I adjusted summary
reflect the general problem.
Comment 4 stefan.baltzer 2005-06-16 17:23:21 UTC
*** Issue 50827 has been marked as a duplicate of this issue. ***
Comment 5 stefan.baltzer 2005-06-24 13:43:25 UTC
SBA: See also enhancement issue 48870 : "Cursor position gets relocated when
context menu for AutoSpellCheck is called".

The behavior of the Spellcheck dialog (Always keeping the cursor position) is
"reverse" to the Online spelling: Cursor will always be re-located to a
highlighted word when the Online spellcheck (AutoSpellCheck) context menu is called.
Comment 6 ace_dent 2008-05-16 00:38:48 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 7 lendo 2009-07-23 12:45:48 UTC
This issue is still an issue. The behavior after closing the spell checker is
mostly irritating. Most times when I close the spell checker before coming back
to the first spell checked word, I mean an "abort" of the spell checker to
change the word manually or something else. But after closing the spell checker
Writer brings me back to the beginning of spell checking - because of that I
have so search manually for the word that was checked at last or have to do
spell checking again.

Am I only one of very few people who don't like the actual behavior?

Today (OOo 3.1) solution no. 4 - that sba described in his comment from Dec 15
2004 - is implemented in Writer. It's better than before. So far so good.

But I think it's more a workaround. I like the idea of an option for this: "Go
back to starting point after closing - check mark on/off" in the spell checker
options.

If you reject the idea of a new option vehemently and the actual behavior won't
be changed in the future, you can close this issue as wontfix or whatever.